#
# spec file for package xscreensaver (Version 5.01)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bc bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel gle glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd krb5 less libacl libattr libbonobo libbonobo-devel libcom_err libdrm libgcc41 libglade2 libglade2-devel libgnome libgnome-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtiff libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit2 orbit2-devel pam pam-devel pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xscreensaver
BuildRequires:  Mesa-devel bc gle intltool libglade2-devel libgnome-devel libjpeg-devel pam-devel perl-XML-Parser update-desktop-files
License:        BSD 3-Clause; GPL v2 or later; Public Domain, Freeware; X11/MIT
Group:          Amusements/Toys/Screensavers
Provides:       xscrns xscreensaver-gnome
Obsoletes:      xscrns xscreensaver-gnome
Requires:       desktop-data
AutoReqProv:    on
Version:        5.01
Release:        18
Summary:        A screen saver and locker for the X Window System
Url:            http://www.jwz.org/xscreensaver/
Source:         xscreensaver-%{version}.tar.bz2
Source1:        xscreensaver.pamd
Patch:          xscreensaver-empty-passwd.patch
Patch5:         xscreensaver-background.patch
Patch8:         xscreensaver-flexiserver.patch
Patch20:        xscreensaver-mansuffix.patch
Patch21:        xscreensaver-default-screensaver.patch
Patch23:        xscreensaver-stars.patch
Patch24:        xscreensaver-slideshow-dri-detect.patch
Patch25:        xscreensaver-4.18-check-for-null-passwd-entry.patch
Patch26:        xscreensaver-CVE-2008-1683.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xscreensaver program waits until the keyboard and mouse have been
idle for a period of time, and then runs a graphics demo chosen at
random. It turns off as soon as there is any mouse or keyboard
activity. It can also lock the screen immediately, after a longer idle
period, or on demand.

The xscreensaver package consists of two parts: the screensaver and the
"driver" or "daemon", which detects idleness and does locking, and the
many graphics demos that are launched by xscreensaver.

Any X program that can draw on the root window can be used with
xscreensaver, regardless of how that program is written, what language
it is written in, or what libraries it uses. The xscreensaver daemon
takes care of detecting when the user is idle, locking, and checking
passwords and all the other book-keeping. All the other programs need
to do is draw.

The benefit that xscreensaver has over the combination of the xlock and
xautolock programs is the ease with which new graphic hacks can be
installed. You do not need to recompile (or even re-run) the
xscreensaver program to add a new display mode, you just change a
config file.



Authors:
--------
    Jamie Zawinski <jwz@jwz.org>

%debug_package
%prep
%setup -q
%patch
%patch5
%patch8
%patch20
%patch21
%patch23
%patch24
%patch25 -p1
%patch26

%build
# Fix man pages header:
find hacks -name '*.man' -print0 | xargs -0 sed -ie 's/TH XScreenSaver 1/TH XScreenSaver 6/' 
# modify hack list to fit our needs:
sed -re '
    s/^([[:space:]]*(rorschach|greynetic|noseguy|deco|moire|spiral|laser|sierpinski|flag|sphere|mountain|triangle|worm|xlyap|cynosure|bsod|t3d|wander"Wander|critical|phosphor|blaster|nerverot|"SpeedMine"|poluominoes|fluidballs|barcode|bubbles))/-\1/;
    s/^-([[:space:]]*(juggle))/\1/;
    s/^@GL_KLUDGE@([[:space:]]*GL:[[:space:]]*(sproingies|"Molecule \(lumpy\)"|circuit|atunnel|glmatrix|stairs|pulsar|starwars|"GLText|boxed|"GLForestFire"|sballs|cubenetic|queens|endgame))/-\1/;
    s/^-([[:space:]]*GL:[[:space:]]*(fireflies))/\1/;
    /.*[Ww]eb[Cc]ollage/D;
    /.*vidwhacker -stdin -stdout/D;
    ' driver/XScreenSaver.ad.in > driver/XScreenSaver.ad.in.tmp && mv driver/XScreenSaver.ad.in.tmp driver/XScreenSaver.ad.in
# we don't want webcollage:
sed -e '/webcollage/D' driver/xscreensaver.man > driver/xscreensaver.man.tmp && mv driver/xscreensaver.man.tmp driver/xscreensaver.man
sed -re '
    /^webcollage-helper.o:/D;
    /^webcollage-helper:/,+1D;
    s/webcollage(-helper.[co]|.man)//;
    s/webcollage//;
    s/@JPEG_EXES@//;
    /JPEG_EXES/D;
    ' hacks/Makefile.in	> hacks/Makefile.in.tmp && mv hacks/Makefile.in.tmp hacks/Makefile.in
rm po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 /" configure.in > configure.in.tmp && \
        mv configure.in.tmp configure.in
cp /usr/share/automake*/mkinstalldirs .
%{?suse_update_config:%{suse_update_config -f}}
rm -f acinclude.m4
intltoolize --copy --force
sed -i "s:@install_sh@:../install-sh -c:" po/Makefile.in.in
chmod +x install-sh
aclocal
autoheader
autoconf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CPPFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure --prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--exec-prefix=%{_prefix} \
    --with-hackdir=%{_libdir}/xscreensaver \
	--with-icondir=%{_datadir}/xscreensaver/pixmaps \
	--with-configdir=%{_sysconfdir}/xscreensaver \
    --without-kerberos \
	--with-passwd-helper="/sbin/unix2_chkpwd" \
	--with-xpm \
	--with-xml \
	--with-shadow \
	--with-xshm-ext \
    --with-login-manager="/opt/gnome/bin/gdmflexiserver" \
    --with-image-directory=/usr/share/wallpapers/ \
%ifarch %ix86 %x86_64
         --with-gle \
%endif
%ifarch alpha
         --without-xf86vmode-ext \
%endif
	--enable-locking 
make %{?jobs:-j%jobs} all

%install
rm -rf $RPM_BUILD_ROOT
rm -f hacks/config/{vidwhacker,webcollage}.xml
mkdir -p $RPM_BUILD_ROOT/tmp/bin
make install_prefix=$RPM_BUILD_ROOT \
     KDEDIR=/tmp \
     DESTDIR=$RPM_BUILD_ROOT \
     datadir=%{_datadir} \
     install
rm -r $RPM_BUILD_ROOT/tmp
#
# remove obsolete suid bit
chmod 755 $RPM_BUILD_ROOT%{_bindir}/xscreensaver
#
# pam config
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/pam.d/xscreensaver
#
# language files
%{find_lang} %{name}
#
# desktop files
install -d $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -d $RPM_BUILD_ROOT/%{_datadir}/applications
cp $RPM_BUILD_ROOT/opt/gnome/share/applications/gnome-screensaver-properties.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/xscreensaver.desktop
sed s/Icon=xscreensaver\.xpm/Icon=screensaver-properties/ <$RPM_BUILD_ROOT/%{_datadir}/applications/xscreensaver.desktop >$RPM_BUILD_ROOT/opt/gnome/share/applications/screensaver-properties.desktop
mv $RPM_BUILD_ROOT/opt/gnome/share/pixmaps/xscreensaver.xpm $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
# This is appropriate only for control-center2, icon is from control-center2.
echo 'OnlyShowIn=GNOME;' >>$RPM_BUILD_ROOT/opt/gnome/share/applications/screensaver-properties.desktop
echo 'NotShowIn=KDE;GNOME;' >>$RPM_BUILD_ROOT/%{_datadir}/applications/xscreensaver.desktop
%suse_update_desktop_file gnome-screensaver-properties System Screensaver X-SuSE-ControlCenter-System
%suse_update_desktop_file %name System Screensaver

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man6/*
%doc %{_mandir}/man1/*
%{_bindir}/*
#%{_datadir}/xscreensaver
%{_libdir}/xscreensaver
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
/opt/gnome/share/xscreensaver
%config /usr/share/X11/app-defaults/XScreenSaver
%config /etc/pam.d/xscreensaver
%config /etc/xscreensaver
/opt/gnome/share/applications/*

%changelog
* Wed May 21 2008 - sbrabec@suse.cz
- If getpwuid() fails, fail instead of silently disabling locking
  (bnc#377961, CVE-2008-1683).
* Tue Apr 24 2007 - sbrabec@suse.cz
- Check for NULL returned by getpwuid() (CVE-2007-1859, #266483).
* Mon Oct 23 2006 - sbrabec@suse.cz
- Updated to version 5.01:
  * Backed out recent locale-related changes, since they broke far
  more things than they fixed.
  * Fail gracefully with ridiculously small window sizes.
  * Better explosions in `boxed'.
  * More dynamic motion in `sproingies'.
  * More options in `flipflop'.
  * Minor updates to `topblock'.
  * Various other minor fixes.
* Wed Aug 30 2006 - anosek@suse.cz
- updated to 5.00
  * All image-loading happens asynchronously.
  * xscreensaver-getimage-file caches the contents of the
  image directory for a few hours, so consecutive runs
  won't have to re-list the whole directory tree.
  * New hacks, `topblock' and `glschool'.
  * Removed `xteevee' (superceded by `xanalogtv').
  * Added variable-sized puzzle pieces to `jigsaw'.
  * Changes to the defaults and command-line options of
  many hacks to make the .xml files more consistent.
  * Reap zombies in `glslideshow' and `carousel'.
  * `xmatrix -mode pipe' displays the text of a subprocess.
  * `endgame' has higher resolution chess-piece models.
  * `webcollage' takes a -directory option to get images
  from a local directory.
  * New versions of `cube21', `glsnake', `celtic'.
  * Backed out a DPMS-related patch that cause desktop
  flickering with some X servers.
  * Fixed startup crash in getgroups() when running setuid.
  * Default to not displaying stderr on the saver window.
  * Fixed bad free() in "Documentation" button.
  * Don't try to run hacks that aren't installed.
  * Minor fixes to various XML config files and man pages.
- dropped obsolete patches (fix-configs, root-overflow,
  demo-overflow)
* Mon Aug 07 2006 - sbrabec@suse.cz
- Worked around build problems with latest gettext.
- Changed paths for X.Org 7.
* Thu Apr 13 2006 - sbrabec@suse.cz
- Use new control-center Categories instead of old ones.
* Fri Feb 17 2006 - sbrabec@suse.cz
- Disabled glslideshow, which causes zombie DoS (#145173).
* Fri Feb 17 2006 - coolo@suse.de
- fix another hack's config
* Wed Feb 15 2006 - sbrabec@suse.cz
- Fixed xscreensaver-demo buffer overflow (#150338).
* Wed Feb 08 2006 - sbrabec@suse.cz
- Fixed buffer overflow when started as root (#148713).
* Sat Feb 04 2006 - aj@suse.de
- Cleanup BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - dmueller@suse.de
- 4.23 update
* Thu Sep 08 2005 - dmueller@suse.de
- fix commandline configs
* Mon Aug 01 2005 - clahey@suse.de
- Check if we're 3d accelerated in glslideshow.
* Thu Jun 30 2005 - sbrabec@suse.cz
- Updated to version 4.22.
- Build with gle.
- Fixed unlocking with empty password (#5854).
* Tue May 17 2005 - mcihar@suse.cz
- fix undefined variable use
* Thu Apr 21 2005 - mcihar@suse.cz
- fix documentation for xscreensaver-command -exit (bug #62810)
- do not echo stars for password (bug #8019)
- regenerate patches
* Mon Apr 11 2005 - mcihar@suse.cz
- update to 4.21
- enabled gdmflexiserver support (bug #74328)
- do no use fortune as default source for text (bug #5856)
- drop fortune wrapper because of above
- cleanup patches, remove those making no real effect
* Sat Mar 19 2005 - clahey@suse.de
- Updated patch to choose correct default screen saver.
* Thu Mar 17 2005 - sbrabec@suse.cz
- Fixed capplets desktop files path (#73047).
- Removed gnome subpackage containing only capplet desktop file.
* Mon Mar 14 2005 - clahey@suse.de
- Added a desktop file for gnomecc.
* Fri Feb 25 2005 - mcihar@suse.cz
- update to 4.20 (bug #66527)
* Fri Dec 17 2004 - mcihar@suse.cz
- update to 4.19
* Thu Dec 16 2004 - hvogel@suse.de
- fix desktop file
- install 2 desktop files. one for xscreensaver, one for -gnome
- take control-center2 to nfb for icons
* Tue Nov 23 2004 - ro@suse.de
- "sed -i" does not work on old distributions
* Mon Nov 15 2004 - kukuk@suse.de
- Use common-* PAM config files
* Mon Nov 08 2004 - ro@suse.de
- make it build
* Mon Nov 01 2004 - mmj@suse.de
- locale rename no to nb
* Wed Oct 13 2004 - mcihar@suse.cz
- require rather desktop-data than desktop-data-SuSE
* Fri Oct 01 2004 - mcihar@suse.cz
- fix vroot brokeness (bug #46370)
* Thu Sep 23 2004 - hhetter@suse.de
- change to /usr/share/wallpapers in XScreenSaver.ad.in too
  (#45892)
* Tue Sep 21 2004 - mcihar@suse.cz
- use images from /usr/share/wallpapers and require desktop-data-SuSE for them (bug #43900)
* Tue Sep 21 2004 - ro@suse.de
- remove requires for gnome-themes, pulls half of GNOME
* Tue Sep 21 2004 - clahey@suse.de
- Remove 5 screensavers from hacklist that are known to crash
  proprietary NVidia X drivers.
- Require gnome-themes for background art.
* Wed Sep 08 2004 - mcihar@suse.cz
- build with libjpeg to get jpeg support
* Mon Sep 06 2004 - mcihar@suse.cz
- drop build dependancy on gnome stuff
- sync patches with NLD
* Fri Aug 20 2004 - mcihar@suse.cz
- install locales to /usr/share
* Tue Aug 17 2004 - mcihar@suse.cz
- update to 4.18
- replace some patches (webcollage removing and default hacklist
  modification) with sed expression to avoid regenerating patch on each
  release
* Tue Aug 03 2004 - clahey@suse.de
- Don't show yellow text for missing screensaver executables (benkahn).
- Changed default screensaver (benkahn).
* Wed Jul 14 2004 - mcihar@suse.cz
- moved hacks man pages to section 6, which is more appropriate. Also fixes
  file conflict with barcode.
- dropped not needed README.SuSE
* Tue Jul 06 2004 - jody@suse.de
- Tweak the desktop file for gnome control-center2
* Thu Jul 01 2004 - mcihar@suse.cz
- use %%{_libdir} for hacks installation
* Thu Jul 01 2004 - mcihar@suse.cz
- moved from /usr/X11R6 to %%{_prefix}
* Mon Jun 28 2004 - mcihar@suse.cz
- fixed penrose configuration (bug #42373)
* Fri Jun 18 2004 - mcihar@suse.cz
- remove webcollage (bug 42196 - often downloading porn pictures)
* Wed May 19 2004 - mcihar@suse.cz
- update to 4.16
* Mon Mar 29 2004 - ro@suse.de
- automake no longer defined MKINSTALLDIRS
  use "mkdir -p" in po/Makefile.in.in
* Mon Mar 01 2004 - mcihar@suse.cz
- update to 4.15
- removed obsoleted patches
- compile with -fno-strict-aliasing
* Wed Feb 25 2004 - hhetter@suse.de
- added xscreensaver-hacklist.patch: change the default
  xscreenhack list
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Fri Dec 12 2003 - mcihar@suse.cz
- perl-XML-Parser added to neededforbuild as intltool requires it
* Fri Nov 21 2003 - okir@suse.de
- xscreensaver would occasionally crash while validating
  passwords (#33192) or act in other unexpected ways (#30986)
* Wed Nov 19 2003 - mcihar@suse.cz
- fix for unsecure /tmp handling (bug #32866)
* Wed Oct 29 2003 - mcihar@suse.cz
- updated to 4.14:
  * New hacks, fontglide, apple2, xanalogtv, pong, gleidescope, mirrorblob, and blinkbox.
  * New version of glsnake (with many more models.)
  * Another Windows crash in bsod; also HVX/GCOS6/TPS6.
  * New version of endgame.
  * Various minor fixes.
- some our patches included in upstream
* Thu Oct 16 2003 - mcihar@suse.cz
- do not use root for build
- disable fortune test in order to not modify root filesystem
  (disable-fortune-test.diff)
* Thu Oct 02 2003 - mcihar@suse.cz
- updated to 4.13:
  * On Xinerama systems, xscreensaver now runs one hack on
  each monitor (just like in "real" multi-head mode)
  instead of running one hack stretching across all the
  screens.  Note that for this to work with any 3rd party
  screensavers, they must update their "vroot.h" file.
  * `webcollage' and `vidwhacker' display images using
  `xscreensaver-getimage' now.
  * Added `ljlatest' script for use with `starwars' and
  `phosphor'.
- rediffed some patches, removed obsollete patches
- move GNOME related stuff into separate package
* Thu Sep 18 2003 - mcihar@suse.cz
- hide menu entry only for KDE/GNOME
* Wed Sep 17 2003 - adrian@suse.de
- hide menu entry in KDE
* Mon Sep 15 2003 - mcihar@suse.cz
- do not require control-center2 (bug #30810)
* Wed Aug 20 2003 - mcihar@suse.cz
- updated to 4.12:
  * New GL hacks, `flipflop', `antspotlight', and `polytopes'.
  * Added VMS to `bsod'.
  * Updates to `webcollage' and `queens'.
  * Fixed a bug that could cause PAM to hang.
- the last mentioned change fixes our bug #29113
* Tue Aug 12 2003 - pthomas@suse.de
- Add autoheader templates.
- Add intltool to #neededforbuild and use intltoolize.
- Use AM_GLIB_GNU_GETTEXT.
- Fix all cases of type-punning so that the compiler doesn't warn.
- Fix all int<->pointer casts.
- Fix translations.
* Thu Aug 07 2003 - mcihar@suse.cz
- udate to 4.11
- don't require fortune, instead include wrapper that will print
  message, that user might want to install fortune package
* Wed Jul 30 2003 - sf@suse.de
- fixed specfile for non-ix86 and alpha-architectures
* Wed Jul 16 2003 - sbrabec@suse.cz
- Turned on GNOME2 interface instead of GTK1.
- Packaged GNOME related files.
* Fri Jun 13 2003 - kukuk@suse.de
- Store locale data below /usr/X11R6/share/locale like every other
  application is doing, too.
* Tue May 27 2003 - mcihar@suse.cz
- cleanup $RPM_BUILD_ROOT
* Wed Apr 09 2003 - mcihar@suse.cz
- requires fortune (fixes #25194)
- reenabled webcollage and vidwhacker
- updated to 4.09:
  * New hacks, `flyingtoasters', `bouncingcow', `jigglypuff',
  `glslideshow', `atunnels' and `piecewise'.
  * More models in `engine'.
  * Physics improvement in `fluidballs'.
  * Rewrote `xscreensaver-getimage' to remove reliance on
  external image loaders (xv, chbg, xloadimage, etc.)
  and to reduce flicker when loading files.
  * Made `gflux' and `flipscreen3d' be mouse-spinnable.
  * Added -clock option to `barcode'.
  * Minor fixes to `endgame', `flurry', `flipscreen3d',
  and `gflux'.
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Tue Feb 04 2003 - pmladek@suse.cz
- updated to version 4.07:
  * new hacks - flurry, eruption, popsquares, barcode
  * updated hacks - maze, sproingies, fluidballs, whirlygig
  * fixes for running xscreensaver to a remote XFree86 display
  * fixed Perl version-sensitivity in xscreensaver-getimage-file
  * fixed GTK2 scrolling bug in xscreensaver-demo
* Tue Nov 19 2002 - pmladek@suse.cz
- updated to version 4.06:
  * new hacks -  glblur, halftone
  * updated hacks - endgame, queens, bumps, glplanet, engine, circuit,
  menger, molecule, bsod
  * fixed bugs in hacks - critical, webcollage, distort, bsod
  * fixed a bug that could rarely cause GL hacks to fail to double-buffer
  * fixed a bug that caused the window manager close box to kill
  `xscreensaver-demo' with a crash instead of a graceful exit
  * fixed a bug that caused `xscreensaver-gl-helper' to print a nonsense
  visual ID with some versions of `printf'
- removed obsolete patch which fixes default doc viewer
- installed correctly into the /usr/X11R6 tree
* Tue Aug 27 2002 - pmladek@suse.cz
- inverted expression in DEFAULT section of function get_pixel_resource,
  so, the background will be white when the requested color can not be
  allocated [#17520, #17525]
* Mon Aug 26 2002 - pmladek@suse.cz
- pam module is accessed via new helper utility unix2_chkpw and xscreensaver
  binary do not need group id bit now, many thanks to Olaf Kirch <okir@suse.de>
  for hint and patch [#18132]
- fixed to build configure from configure.in
* Mon Aug 19 2002 - pmladek@suse.cz
- installed icons are correctly [#17521]
- installed locale files correctly
- mozilla is the default doc viewer instead of netscape now
* Tue Aug 13 2002 - ro@suse.de
- remove gnome subpackage
- remove all related packages from neededforbuild
- xf86 used in neededforbuild for bitmaps
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Wed Jul 03 2002 - coolo@suse.de
- updated to 4.05
- removed kde2 screensaver hack
* Thu Mar 21 2002 - ro@suse.de
- add subpackage -gnome containing a xscreensaver-demo-gnome
  with full capplet support (needed for screensaver configuration
  in gnome) (#14265)
* Mon Jan 21 2002 - cihlar@suse.cz
- updated to version 4.00:
  * Redesigned `xscreensaver-demo' GUI
  * bugfixes
* Fri Dec 07 2001 - cihlar@suse.cz
- updated to version 3.34:
  * memory limit is off by default
  * several fixes
  * added several new screensavers
- removed obsolete patches
- fixed README.SuSE
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Thu Oct 04 2001 - cihlar@suse.cz
- increased memoryLimit to 500M [#11468]
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Mon Jul 30 2001 - cihlar@suse.cz
- update to version 3.33
* Thu Jul 19 2001 - cihlar@suse.cz
- fixed to compile on axp
* Mon Jun 18 2001 - cihlar@suse.cz
- moved xscreensaver.kss to /opt/kde2/bin
* Tue Jun 12 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Mon Jun 04 2001 - cihlar@suse.cz
- fixed arguments to XtVa... functions for ia64 [bug #8612]
* Mon May 21 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Tue Apr 10 2001 - cihlar@suse.cz
- updated to version 3.31
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Tue Mar 13 2001 - cihlar@suse.cz
- update to version 3.29
* Thu Mar 08 2001 - uli@suse.de
- added mesaglut* to neededforbuild
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Fri Dec 15 2000 - grimmer@suse.de
- added GLE support for Intel archs
* Wed Nov 22 2000 - cihlar@suse.cz
- renamed xscrns -> xscreensaver
- update to version 3.26
- bzipped sources
- removed xpm.h from sources
- compile again with xdevel
- fixed copyright
* Mon Nov 20 2000 - ro@suse.de
- switch to openmotif
* Tue Sep 05 2000 - schwab@suse.de
- Don't add -Wp,-lang-c89 to $CC, enables strict ANSI mode in newer gcc
  versions.
* Tue Aug 22 2000 - cihlar@suse.cz
- change /usr/X11R6/xscreensaver to 2755 root.shadow
* Wed Aug 02 2000 - cihlar@suse.cz
- compile with xpm support
* Fri Jul 28 2000 - cihlar@suse.cz
- compile with xdevel3 instead of xdevel
* Wed Jul 12 2000 - cihlar@suse.cz
- mesadev added to needforbuild
* Mon Jul 03 2000 - cihlar@suse.cz
- screensaver webcollage removed
* Thu Apr 13 2000 - cihlar@suse.cz
- added define kdedir to spec file
* Wed Apr 12 2000 - cihlar@suse.cz
- upgrade to version 3.24
- added BuildRoot
- clean up spec file
* Wed Jan 26 2000 - ro@suse.de
- update to 3.22
- move demos to /usr/X11R6/lib/xscreensaver
- use lesstif
  (xscreensaver-demo won't build without either motif or gtk)
* Thu Nov 04 1999 - ro@suse.de
- update to 3.18
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 01 1999 - grimmer@suse.de
- Update to 3.16, added new manual pages
- added README.SuSE and screenblank.txt to DOCDIR
* Tue Jun 15 1999 - kukuk@suse.de
- Don't link mesa static, enable PAM support
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Wed Apr 14 1999 - ro@suse.de
- update to 3.09
- link static against mesa libs
* Tue Feb 10 1998 - bs@suse.de
- fixed Check for man pages
* Tue Jan 13 1998 - bb@suse.de
  Changes since 2.13:
- Better fix for the Motif drag-and-die lossage.
- Put in some kludges to work around a LessTif bug.
- XScreenSaver is known to work with LessTif 0.82 now.
- Made fading work on high-end SGI video hardware.
- Fixed another SGI-specific bug in screen grabbing;
  will the madness never cease?
- Fixed another crash in `xlyap'.
